Skip to main content
`Ctrl`+`K`

# PetscObjectSetFortranCallback

set Fortran callback function pointer and context

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetFortranCallback(PetscObject obj, PetscFortranCallbackType cbtype, PetscFortranCallbackId *cid, PetscFortranCallbackFn *func, void *ctx)

Logically Collective, No Fortran Support

## Input Parameters

- obj - object on which to set callback

- cbtype - callback type (class or subtype)

- cid - address of callback Id, updated if not yet initialized (zero)

- func - Fortran function

- ctx - Fortran context

## Note

This is used to help manage user callback functions that were provided in Fortran

## See Also

`PetscObjectGetFortranCallback()`, `PetscFortranCallbackRegister()`, `PetscFortranCallbackGetSizes()`

## Level

developer

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages